from StringIO import StringIO
from Products.Archetypes.public import listTypes
from Products.Archetypes.Extensions.utils import installTypes, install_subskin
from Products.ItalianSkin.config import PROJECTNAME, GLOBALS
from Products.CMFCore.utils import getToolByName
from Products.CMFCore.DirectoryView import addDirectoryViews

import string

def install(self):
   out = StringIO()

   skins_tool = getToolByName(self, 'portal_skins')
   
   addDirectoryViews (skins_tool, 'skins', GLOBALS)
   print >> out, "Added directory views to portal_skins."

   layers = skins_tool.getSkinPath('Plone Default')
   layers = map(string.strip, string.split(layers, ','))

   layers.insert(layers.index('custom')+1, 'xhtml_strict')
   layers = ', '.join(layers)

   skins_tool.addSkinSelection(PROJECTNAME, layers)
   skins_tool.manage_properties(default_skin=PROJECTNAME)
   
   layers = skins_tool.getSkinPath('Plone Tableless')
   layers = map(string.strip, string.split(layers, ','))

   layers.insert(layers.index('custom')+1, 'xhtml_strict_tableless')
   layers = ', '.join(layers)
   
   skins_tool.addSkinSelection(PROJECTNAME+' Tableless', layers)

   print >> out, "Installation completed."
   return out.getvalue()
   

